clc
clear all
wn=2;
angulo=[0 0];
K=[0 0];
epsilon=1e-2;
for j=pi/2:0.001:3*pi/2
    k=wn^3*sin(3*j)+5*wn^2*sin(2*j)+6*wn*sin(j);
    if abs(k)<=epsilon
        if j<pi-10*pi/180 
            angulo(1)=j*180/pi;
            K(1)=real(-(wn^3*exp(3*j*i)+5*wn^2*exp(2*j*i)+6*wn*exp(j*i)));
        else
        if j>3*pi/2-10*pi/180 
            angulo(2)=j*180/pi;
            K(2)=real(-(wn^3*exp(3*j*i)+5*wn^2*exp(2*j*i)+6*wn*exp(j*i)));
        end
        end
    end
end
K
angulo
s1=real(wn*exp(i*angulo(1)*pi/180))+i*imag(wn*exp(i*angulo(1)*pi/180))
s2=real(wn*exp(i*angulo(2)*pi/180))+i*imag(wn*exp(i*angulo(2)*pi/180))